Jump to content
Invision Board France
Sign in to follow this  
Youp3

IP.Board 3.1.4 : patch JavaScript pour la compatibilité Internet Explorer 9

Recommended Posts

Youp3

IP.Board 3.1.4 : patch JavaScript pour la compatibilité Internet Explorer 9

 

Avec la récente publication d'Internet Explorer 9, des problèmes de compatibilité Javascript ont été signalées pour IP.Board 3.1. Ces problèmes proviennent du fait qu'IP.Board utilise Prototype, une librairie Javascript populaire, et que la dernière version stable de celle-ci à l'époque de la sortie d'IP.Board 3.1 .4 était la version 1.6. La version 1.7 de Prototype a depuis été publiée, incluant la compatibilité avec Internet Explorer 9.

 

Aujourd'hui, IPS a publié un patch pour IP.Board 3.1.4 qui inclut la mise à jour de la librairie Prototype (version 1.7) permettant à ses clients de mettre à jour leurs communautés immédiatement. Bien qu'IE9 soit récent, l'adoption de la dernière version de ce navigateur populaire devrait croître rapidement, et IPS veut s'assurer que ses logiciels fonctionnent sur le plus de navigateurs couramment utilisés possibles.

 

 

Mise à jour de votre communauté

 

Au moment de la publication de cette annonce, l'archive complète d'IP.Board 3.1.4 dans votre espace client a été mise à jour. Si vous avez téléchargé la version 3.1.4 après la date du 18 mars 2011, vous disposez déjà du patch. Vous pouvez éventuellement télécharger la version 3.1.4 complète à tout moment et l'envoyer sur votre serveur pour vous assurer d'être entièrement à jour.

 

Pour patcher manuellement votre communauté, suivez ces étapes simples :

 

  1. Télécharger le fichier zip du patch (voir le lien à la fin de cette annonce)
  2. Décompresser l'archive zip sur votre ordinateur
  3. Envoyer le contenu de cette archive zip sur votre serveur, en préservant la structure des dossiers (le dossier /public doit écraser le dossier /public sur votre serveur là où IP.Board est situé)

 

Si vous avez besoin d'aide ou avez des questions, vous pouvez ouvrir un ticket d'assistance chez IPS.

 

  • Sachez que comme ce patch consiste à mettre à jour un simple fichier JavaScript, vous et vos utilisateurs pouvez avoir besoin de vider le cache de votre navigateur pour que les modifications soient prises en compte.
  • Nous pensons que ce patch fonctionne avec toutes les versions d'IP.Board 3.1.x mais il a uniquement testé sur la version 3.1.4.

patch_board3_1_4_prototype17.zip (37.58K)

 

 

--------------------

Annonce originale IPS :

IP.Board 3.1.4 Compatibility Patch for Internet Explorer 9

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.